#ifndef TERM_TERM_H_
#define TERM_TERM_H_

#include "flanterm.h"
#include "flanterm_backends/fb.h"
#include "spinlock/spinlock.h"

typedef struct {
  struct flanterm_context *ftctx;
  SpinLock spinlock;
} Term;

extern Term TERM;

void term_init(void *addr);
void term_write_unsafe(const char *s, size_t len);

#endif // TERM_TERM_H_
